DCMTK - Bug #557

storescp's --sort-on-patientname option implies Latin-1 characters
2013-10-08 14:53 - J6rg Riesmeier

Status: Closed Start date: 2013-10-08
Priority: Normal Due date:

Assignee: Michael Onken % Done: 0%
Category: Application Estimated time: 0:00 hour
Target version: 3.6.2

Module: dcmnet Compiler:

Operating System:

Description

The current implementation of storerscp's --sort-on-patientname option seems to imply that the DICOM dataset is encoded using
"ISO_IR 100" (aka ISO-8859-1 or Latin-1). Also ASCII (i.e. the default character repertoire) will work, others will certain not.

There should at least be a check on the Specific Character Set (0008,0005) used (and a warning if this is not the case). Ideally, there
would be broader support for various (if not all) DICOM character sets.

History

#1 - 2017-03-24 11:09 - Marco Eichelberg

- Assignee set to Michael Onken

#2 - 2017-04-12 16:16 - Michael Onken

- Status changed from New to Closed

Closed by commit 3292f99858da21f234f231f3c864121707d0d2a5.
